#### D.4.19.12 indSet

Procedure from library `mprimdec.lib` (see mprimdec_lib).

Usage:
  indSet(i); i ideal

Return:
  list with two entries
  both are lists of new varstrings with the dependent variables, the independent set, the ordstring with the corresp. block ordering, and the integer where the independent set starts in the varstring

Note:
  the first entry gives the strings for all maximal independent sets the second gives the strings for the independent sets,
  which cannot be enhanced

Example:

    LIB "mprimdec.lib";
    ring s1=(0,x,y),(a,b,c,d,e,f,g),lp;
    ideal i=ea-fbg,fa+be,ec-fdg,fc+de;
    i=std(i);
    list  l=indSet(i);
    l;
    ==> [1]:
    ==>    [1]:
    ==>       [1]:
    ==>          e,f
    ==>       [2]:
    ==>          a,b,c,d,g
    ==>       [3]:
    ==>          (C,dp(2),dp)
    ==>       [4]:
    ==>          5
    ==> [2]:
    ==>    [1]:
    ==>       [1]:
    ==>          a,b,c,d
    ==>       [2]:
    ==>          e,f,g
    ==>       [3]:
    ==>          (C,dp(4),dp)
    ==>       [4]:
    ==>          3
    ==>    [2]:
    ==>       [1]:
    ==>          a,c,e
    ==>       [2]:
    ==>          b,d,f,g
    ==>       [3]:
    ==>          (C,dp(3),dp)
    ==>       [4]:
    ==>          4

User manual for Singular version 4.4.1, 2025, generated by texi2html.